<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
 <%@include file="/views/common.jsp"%>
</head>
<!-- 一次性纸杯 -->
<style>
.edge .layui-edge{
	right:10px;
}
</style>
<body>
	<div class="big_box">
		<div class="left_div">
			<h1 class="h2">一次性纸杯</h1> <span style="color:red;font-weight:700;"></span>
			<hr>
			<form class="layui-form">
				<p>
					材质
				</p>
				<div class="layui-form-item">
					<select name="kind1Value" id="kind1Value" class="select">
						<option value="280克">280克(260克原纸+20克淋膜)</option>
					</select>
				</div>
				<p>
					规格
				</p>
				<div class="layui-form-item">
					<select name="size" id="size" class="select">
						<option value="7.5*5.2*7.5">7蛊司(上口75mm/下口52mm/高度75mm )</option>
						<option value="7.5*5.2*8.6">9蛊司(上口75mm/下口52mm/高度86mm)</option>
					</select>
				</div>
				<input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="一次性纸杯" >
				<p>
					数量（个）
				</p>
				<div class="layui-form-item">
					<select name="count" class="select" id="count">
						<option value="1000">1000</option>
						<option value="2000">2000</option>
						<option value="3000">3000</option>
						<option value="5000">5000</option>
						<option value="10000">10000</option>
						<option value="20000">20000</option>
						<option value="30000">30000</option>
						<option value="50000">50000</option>
					</select>
				</div>
				<p>
					款数
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1" class="layui-input" lay-verify="number">
				</div>
				<p>
					客户旺旺
				</p>
				<div class="layui-form-item">
					<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
				</div>
				<hr>
				<div class="layui-form-item">
					<button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
					<button type="reset" class="layui-btn layui-btn-primary">重置</button>
				</div>
				<h2>计算结果-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyResult()">点击复制</button></h2>
				<div>
					<textarea rows="11" cols="75"  id="span_result" readonly="readonly"></textarea>
					<%@include file="../acountExpressFee.jsp"%>
				</div>
				<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
				<div>
					<textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
				</div>
				<div >
					<table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
				</div>
			</form>
		</div>
		<div class="right_div" style="margin-left:50px;">
			<div class="layui-carousel" id="test1" >
				<div carousel-item id="carousel"></div>
				<br>
				<div id="remark" style="font-size:20px;color:red"></div>
			</div> 
		</div>
	</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp"%>
<script>
layui.use(['table','form','carousel'], function(){    
    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
    var carousel = layui.carousel;
    var table = layui.table;
    
	//建造实例
    ins = carousel.render({});
	
	// 点击计算，计算价格
	form.on('submit(acount_btn)', function(data) {	
		var number= $("#number").val();
		var size = $("#size").val();
		var kind = $("#size").find("option:selected").text();
		var index = kind.indexOf("(");
		kind = kind.substring(0, index);
		var kindValue = $("#kind1Value").val();
		$.ajax({
			url : "${path}/getThanSum",
			type : "GET",
			data : $(".big_box form").serialize(),
			success : function(result) {
				if(result.code == 100){
					layer.msg(result.msg,{offset:['300px','300px']},function(){});
					return false;
				}
				var data = result.data.proList;
				
				var span_result ="一次性纸杯 - " + kind + " - " + kindValue + " - (同款内容)\n";
				if(number > 1){
					for (let i = 0; i < data.length; i++) {
						span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
						data[i].number = number;
			        }   
				}else{
					for (let i = 0; i < data.length; i++) {
						span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
						data[i].number = number;
			        }   
				}
				span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
    				$("#span_result").val(span_result);
				
				var count = $("#count option:selected").val();
				getRemark("一次性纸杯", size+"cm", count+"张", kind, number, "", "");
				//计算完自动复制文本
				var e=document.getElementById("span_result");//对象是content
				if (e.value != "") {
					e.select();//选择对象
					document.execCommand("Copy");//执行浏览器复制命令
				}
				
				//生成表格
				table.render({
					elem : '#priceTable',
					even : true, //隔行变色
					data : data, // 赋值已知数据
					width : 500,
					cols : [ [ 
						{
							field : 'number',
							width : '12%',
							align : "center",
							title : '款数'
						},{
							field : 'count',
							width : '16%',
							align : "center",
							title : '数量'
						},{
							field : 'price',
							width : '16%',
							align : "center",
							title : '报价'
						},/* {
							field : 'wangwang',
							align : "center",
							width : '16%',
							title : '折扣价',
							templet : function(d) {
								return Math.ceil(d.price * 0.98)
							} 
						},{
							field : 'wangwang',
							align : "center",
							width : '19%',
							title : '跳楼价',
							templet : function(d) {
								return Math.ceil(d.price * 0.96)
							} 
						}, */{
							field : 'weight',
							width : '21%',
							align : "center",
							title : '重量（kg）'
						}
					] ],
					done: function () {
		            }
				});
			}
		});
		return false;
	});
});
	
</script>
</html>